Bug 502301 - GuildWars crash X11
GuildWars crash X11
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-23 07:04 EDT by Alexey Kuznetsov
Modified: 2009-11-07 18:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-07 18:03:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
game log (1.52 MB, application/x-bzip2)
2009-05-23 07:09 EDT, Alexey Kuznetsov
no flags Details
Xorg.0.log (84.96 KB, text/plain)
2009-05-23 07:09 EDT, Alexey Kuznetsov
no flags Details

  None (edit)
Description Alexey Kuznetsov 2009-05-23 07:04:59 EDT
GuildWars crash X11 on second run. First run crash GuildWars by segfault, second - crash X11.
Comment 1 Alexey Kuznetsov 2009-05-23 07:09:22 EDT
Created attachment 345192 [details]
game log

WINEDEBUG=all
Comment 2 Alexey Kuznetsov 2009-05-23 07:09:51 EDT
Created attachment 345193 [details]
Xorg.0.log
Comment 3 Matěj Cepl 2009-05-25 12:12:48 EDT
Yup, lovely:

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812d07b]
1: /usr/bin/Xorg(xf86SigHandler+0x9e) [0x80c061e]
2: [0x16d400]
3: /usr/lib/xorg/modules/extensions//libdri2.so(DRI2GetBuffers+0x1f) [0x11adcf]
4: /usr/lib/xorg/modules/extensions//libdri2.so [0x11b665]
5: /usr/bin/Xorg(Dispatch+0x347) [0x80864d7]
6: /usr/bin/Xorg(main+0x395) [0x806baf5]
7: /lib/libc.so.6(__libc_start_main+0xe6) [0x60ba66]
8: /usr/bin/Xorg [0x806afa1]

Fatal server error:
Caught signal 11.  Server aborting
Comment 4 Alexey Kuznetsov 2009-05-25 13:20:04 EDT
same os/game under nvidia binary drivers works fine
Comment 5 Bug Zapper 2009-06-09 12:26:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matěj Cepl 2009-11-05 13:29:47 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Alexey Kuznetsov 2009-11-05 14:12:30 EST
f12 do not crash the server
Comment 8 Matěj Cepl 2009-11-07 18:03:44 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.